Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 983658 - [abrt] bpython-0.12-2.fc18: cli.py:1918:main:ValueError: too many values to unpack
Summary: [abrt] bpython-0.12-2.fc18: cli.py:1918:main:ValueError: too many values to u...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bpython
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2450d517ab64336df7c8af3bfbe...
: 1077805 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-11 16:02 UTC by Eric Harney
Modified: 2014-08-24 02:55 UTC (History)
3 users (show)

Fixed In Version: bpython-0.13.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-16 00:35:20 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-07-11 16:03 UTC, Eric Harney
no flags Details
File: core_backtrace (deleted)
2013-07-11 16:03 UTC, Eric Harney
no flags Details
File: environ (deleted)
2013-07-11 16:03 UTC, Eric Harney
no flags Details

Description Eric Harney 2013-07-11 16:02:58 UTC
Description of problem:
$ cat a.py
#!/usr/bin/python

print "hi"

$ bpython a.py

Version-Release number of selected component:
bpython-0.12-2.fc18

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/bpython a.py
executable:     /usr/bin/bpython
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
cli.py:1918:main:ValueError: too many values to unpack

Traceback (most recent call last):
  File "/usr/bin/bpython", line 9, in <module>
    load_entry_point('bpython==0.12', 'console_scripts', 'bpython')()
  File "/usr/lib/python2.7/site-packages/bpython/cli.py", line 1918, in main
    banner=banner)
ValueError: too many values to unpack

Local variables in innermost frame:
orig_stdin: <open file '<stdin>', mode 'r' at 0x7fb58a0bc150>
banner: None
args: None
locals_: None
orig_stderr: <open file '<stderr>', mode 'w' at 0x7fb58a0bc270>
orig_stdout: <open file '<stdout>', mode 'w' at 0x7fb58a0bc1e0>
exec_args: ['a.py']
config: <bpython.config.Struct object at 0x1f17bd0>
options: <Values at 0x1f19d40: {'version': None, 'config': '~/.config/bpython/config', 'quiet': None, 'interactive': None}>

Comment 1 Eric Harney 2013-07-11 16:03:01 UTC
Created attachment 772304 [details]
File: backtrace

Comment 2 Eric Harney 2013-07-11 16:03:05 UTC
Created attachment 772305 [details]
File: core_backtrace

Comment 3 Eric Harney 2013-07-11 16:03:08 UTC
Created attachment 772306 [details]
File: environ

Comment 4 Terje Røsten 2013-08-07 09:54:40 UTC
Thanks for your report, verified.

Comment 5 Fedora End Of Life 2013-12-21 15:35:20 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Terje Røsten 2014-08-11 19:15:43 UTC
*** Bug 1077805 has been marked as a duplicate of this bug. ***

Comment 7 Fedora Update System 2014-08-11 19:34:29 UTC
bpython-0.13.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bpython-0.13.1-1.fc20

Comment 8 Fedora Update System 2014-08-11 19:34:37 UTC
bpython-0.13.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bpython-0.13.1-1.fc19

Comment 9 lnie 2014-08-12 03:21:26 UTC
bpython-0.13.1-1.fc20 works

Comment 10 Fedora Update System 2014-08-15 02:43:09 UTC
Package bpython-0.13.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bpython-0.13.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9356/bpython-0.13.1-1.fc19
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-08-16 00:35:20 UTC
bpython-0.13.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-08-24 02:55:18 UTC
bpython-0.13.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.